package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_PROJECT_FINDRULE"
)
public class TCoreProjectFindrule extends TProEntity {
   private String project_id;
   private String dataarea_id;
   private String rulestyle;
   private String rule_id;
   private String defaultrule;
   private Date createtime;
   private String createuser;

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getRulestyle() {
      return this.rulestyle;
   }

   public void setRulestyle(String rulestyle) {
      this.rulestyle = rulestyle;
   }

   public String getRule_id() {
      return this.rule_id;
   }

   public void setRule_id(String rule_id) {
      this.rule_id = rule_id;
   }

   public String getDefaultrule() {
      return this.defaultrule;
   }

   public void setDefaultrule(String defaultrule) {
      this.defaultrule = defaultrule;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }
}
